viernes, 11 de diciembre de 2015

Multiples Vulnerabilidades en Adobe Flash Player.

El martes pasado Adobe publico una actualización de seguridad para Adobe Flash Player y como he visto que [una al día] no se ha hecho eco de esta actualización de seguridad aquí la tenéis.



Vulnerabilidades:
  • Vulnerabilidades tipo Buffer overflow que permiten la ejecución de código arbitrario. (CVE-2015-8438, CVE-2015-8446)
  • Corrupciones de memoria que pueden permitir la ejecución de código arbitrario. (CVE-2015-8444, CVE-2015-8443, CVE-2015-8417, CVE-2015-8416, CVE-2015-8451, CVE-2015-8047, CVE-2015-8455, CVE-2015-8045, CVE-2015-8418, CVE-2015-8060, CVE-2015-8419, CVE-2015-8408)
  • Varias vulnerabilidades que permiten evitar diferentes políticas de seguridad. (CVE-2015-8453, CVE-2015-8440, CVE-2015-8409)
  • Vulnerabilidades del tipo stack overflow que permite la ejecución arbitraria de código. (CVE-2015-8407, CVE-2015-8457)
  • Vulnerabilidad del tipo type confusión que permite la ejecución arbitraria de código. (CVE-2015-8439, CVE-2015-8456)
  • Vulnerabilidad integer overflow que puede permitir la ejecución remota de código. (CVE-2015-8445)
  • Vulnerabilidad buffer overflow que puede permitir la ejecución de código arbitrario. (CVE-2015-8415)
  • Vulnerabilidades para después de la liberación que pueden permitir la ejecución de código arbitrio. (CVE-2015-8050, CVE-2015-8049, CVE-2015-8437, CVE-2015-8450, CVE-2015-8449, CVE-2015-8448, CVE-2015-8436, CVE-2015-8452, CVE-2015-8048, CVE-2015-8413, CVE-2015-8412, CVE-2015-8410, CVE-2015-8411, CVE-2015-8424, CVE-2015-8422, CVE-2015-8420, CVE-2015-8421, CVE-2015-8423, CVE-2015-8425, CVE-2015-8433, CVE-2015-8432, CVE-2015-8431, CVE-2015-8426, CVE-2015-8430, CVE-2015-8427, CVE-2015-8428, CVE-2015-8429, CVE-2015-8434, CVE-2015-8435, CVE-2015-8414, CVE-2015-8454, CVE-2015-8059, CVE-2015-8058, CVE-2015-8055, CVE-2015-8057, CVE-2015-8056, CVE-2015-8061, CVE-2015-8067, CVE-2015-8066, CVE-2015-8062, CVE-2015-8068, CVE-2015-8064, CVE-2015-8065, CVE-2015-8063, CVE-2015-8405, CVE-2015-8404, CVE-2015-8402, CVE-2015-8403, CVE-2015-8071, CVE-2015-8401, CVE-2015-8406, CVE-2015-8069, CVE-2015-8070, CVE-2015-8441, CVE-2015-8442, CVE-2015-8447).

Productos afectados:
  • Adobe Flash Player Desktop Runtime 19.0.0.245 y anteriores para Windows y Macintosh
  • Adobe Flash Player Extended Support Release 18.0.0.261 y anteriores para Windows y Macintosh
  • Adobe Flash Player for Google Chrome 19.0.0.245 y anteriores para Windows, Macintosh, Linux y ChromeOS
  • Adobe Flash Player for Microsoft Edge and Internet Explorer 11 19.0.0.245 y anteriores para Windows 10
  • Adobe Flash Player for Internet Explorer 10 and 11 19.0.0.245 y anteriores para Windows 8.0 y 8.1
  • Adobe Flash Player for Linux 11.2.202.548 y anteriores para Linux
  • AIR Desktop Runtime 19.0.0.241 y anteriores para Windows y Macintosh
  • AIR SDK 19.0.0.241 y anteriores para Windows, Macintosh, Android y iOS
  • AIR SDK & Compiler 19.0.0.241 y anteriores Windows, Macintosh, Android y iOS
  • AIR for Android 19.0.0.241 y anteriores para Android

Solución:
  • Aplicar el parche para la versión correspondiente: 
  • Adobe Flash Player Desktop Runtime (support for Internet Explorer) 20.0.0.228 para Windows y Macintosh 
  • Adobe Flash Player Desktop Runtime (support for Firefox and Safari) 20.0.0.235 para Windows y Macintosh 
  • Adobe Flash Player Extended Support Release 18.0.0.268 para Windows y Macintosh
  • Adobe Flash Player en Google Chrome 20.0.0.228 para Windows, Macintosh, Linux y ChromeOS
  • Adobe Flash Player en Microsoft Edge e Internet Explorer 11 20.0.0.228 para Windows 10
  • Adobe Flash Player en Internet Explorer 10 y 11 20.0.0.228 para Windows 8.0 y 8.1
  • Adobe Flash Player en Linux 11.2.202.55. para Linux
  • AIR Desktop Runtime 20.0.0.204 para Windows y Macintosh
  • AIR SDK 20.0.0.204 para Windows, Macintosh, Android y iOS
  • AIR SDK & Compiler 20.0.0.204 para Windows, Macintosh, Android and iOS
  • AIR en Android 20.0.0.204 para Android 

Más información:

Sed Buenos ;)

No hay comentarios:

Publicar un comentario